TechDraw ComplexSection: Difference between revisions

From FreeCAD Documentation
(fixed old reference link)
 
(28 intermediate revisions by 4 users not shown)
Line 2: Line 2:
<translate>
<translate>


<!--T:1-->
{{Docnav
{{Docnav
|[[TechDraw_SectionView|SectionView]]
|[[TechDraw_SectionView|SectionView]]
Line 11: Line 12:
}}
}}


<!--T:2-->
{{GuiCommand
{{GuiCommand
|Name=TechDraw ComplexSection
|Name=TechDraw ComplexSection
|MenuLocation=TechDraw → Insert Complex Section
|MenuLocation=TechDraw → TechDraw Views → Insert Complex Section
|Workbenches=[[TechDraw_Workbench|TechDraw]]
|Workbenches=[[TechDraw_Workbench|TechDraw]]
|Version=1.0
|Version=0.21
|SeeAlso=[[TechDraw_SectionView|TechDraw Section]], [[TechDraw_View|TechDraw View]], [[TechDraw_ProjectionGroup|TechDraw Projection Group]]
|SeeAlso=[[TechDraw_SectionView|TechDraw Section]], [[TechDraw_View|TechDraw View]], [[TechDraw_ProjectionGroup|TechDraw Projection Group]]
}}
}}


== Description ==
== Description == <!--T:3-->


<!--T:4-->
The Complex Section tool creates a cross section view based on a profile and an existing part view.
The '''TechDraw ComplexSection''' tool inserts a cross-section view based on an existing part view and a profile.


</translate>
</translate>
[[Image:TechDraw_QuarterSection_example.png|250px]]
[[Image:TechDraw_QuarterSection_example.png|350px]]
<translate>
<translate>
<!--T:5-->
{{Caption|A quarter section view created with the Complex Section tool}}
{{Caption|A Quarter section view created with the Complex Section tool}}


</translate>
</translate>
[[Image:TechDraw_AlignedSection_example.png|250px]]
[[Image:TechDraw_AlignedSection_example.png|350px]]
<translate>
<translate>
<!--T:6-->
{{Caption|An aligned section view created with the Complex Section tool}}
{{Caption|An Aligned section view created with the Complex Section tool}}


</translate>
</translate>
[[Image:TechDraw_OffsetSection_example.png|250px]]
[[Image:TechDraw_OffsetSection_example.png|350px]]
<translate>
<translate>
<!--T:7-->
{{Caption|An offset section view created with the Complex Section tool}}
{{Caption|An Offset section view created with the Complex Section tool}}


== Usage ==
== Usage == <!--T:8-->


<!--T:9-->
# Select a part view and a profile object in the 3D window or tree. Profiles are typically Sketches, but any object whose shape can be made into a wire will work.
# Select a part view and a profile object in the [[3D_view|3D view]] or [[Tree_view|Tree view]]. Profiles are typically Sketches, but any object whose shape can be made into a wire will work.
# Press the {{Button|[[Image:TechDraw ComplexSection.svg|16px]] [[TechDraw_ComplexSection|Insert Complex Section]]}} button
# There are several ways to invoke the tool:
# A dialog will open which will help calculate the various Complex Section properties. The dialog calculates reasonable starting points for the view Direction, but these may be changed.
#* Press the {{Button|[[Image:TechDraw_ComplexSection.svg|16px]] [[TechDraw_ComplexSection|Insert Complex Section]]}} button.
# If you make a mistake, or change your mind while setting up the Section parameters, press the {{Button|Reset}} button, and you can start over.
#* Select the {{MenuCommand|TechDraw → TechDraw Views → [[Image:TechDraw_ComplexSection.svg|16px]] Insert Complex Section}} option from the menu.
# A task panel opens which will help calculate the various properties. Reasonable values for the view Direction are calculated, but these can be changed.


</translate>
</translate>
Line 50: Line 58:
<translate>
<translate>


== Properties ComplexSection ==
== Properties ComplexSection == <!--T:10-->


<!--T:11-->
See also [[TechDraw_SectionView#Properties|TechDraw SectionView]].
See also [[TechDraw_SectionView#Properties_Section_View|TechDraw SectionView]].


=== Data ===
=== Data === <!--T:12-->


<!--T:13-->
{{TitleProperty|Cutting Tool}}
{{TitleProperty|Cutting Tool}}


<!--T:14-->
* {{PropertyData|CuttingToolWireObject}}: The document object whose shape will be used to generate the cutting profile.
* {{PropertyData|ProjectionStrategy}}: Controls how the cut is performed and how the result is projected to the page.
* {{PropertyData|Cutting Tool Wire Object}}: The document object whose shape will be used to generate the cutting profile.
* {{PropertyData|Projection Strategy}}: Controls how the cut is performed and how the result is projected on the page:
** {{Value|Offset}}: Performs a simple cut of the Source shape and projects the result.
** {{Value|Offset}}: Performs a simple cut of the Source shape and projects the result.
** {{Value|Aligned}}: Cuts the Source shape using a tool created from each segment (edge) of the cutting profile. The results of each cut are projected in a vertical or horizontal array, depending on the orientation of the cutting profile.
** {{Value|Aligned}}: Cuts the Source shape using a tool created from each segment (edge) of the cutting profile. The results of each cut are projected in a vertical or horizontal array, depending on the orientation of the cutting profile.
** {{Value|NoParallel}}: As Aligned, but profile segments which are parallel to the view direction are skipped.
** {{Value|NoParallel}}: As Aligned, but profile segments which are parallel to the view direction are skipped.


== Notes ==
== Notes == <!--T:15-->


<!--T:16-->
* '''TrimAfterCut''': the section cut operation sometimes leaves behind a portion of the source shape. If TrimAfterCut is true, an additional cut operation is performed on the result of the first cut and should remove any unwanted pieces.
See [[TechDraw_SectionView#Notes|TechDraw SectionView]]


== Scripting ==
== Scripting == <!--T:17-->


<!--T:18-->
{{Emphasis|See also:}} [[TechDraw_API|TechDraw API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


<!--T:19-->
The ComplexSection tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following functions:
A ComplexSection can be created with [[Macros|macros]] and from the [[Python|Python]] console by using the following functions:


</translate>
</translate>
Line 84: Line 98:
page.addView(view)
page.addView(view)
view.Source = box
view.Source = box
view.Direction = (0.0, 0.0, 1.0)
view.Direction = (0, 0, 1)


section = doc.addObject("TechDraw::DrawComplexSection", "ComplexSection")
section = doc.addObject("TechDraw::DrawComplexSection", "ComplexSection")
Line 90: Line 104:
section.BaseView = view
section.BaseView = view
section.CuttingToolWireObject = profile
section.CuttingToolWireObject = profile
section.Direction = (0, 1, 0)
section.SectionNormal = (-1, 0, 0)
}}
}}
<translate>
<translate>


==Examples== <!--T:21-->


<!--T:22-->
For some more information about section views and some use cases, have a look at: [[TechDraw_Section_Examples|TechDraw section examples]].

</translate>
[[Image:TechDraw_ExampleSection-10.png|80px|link=]]
[[Image:TechDraw_ExampleSection-13.png|80px|link=]]
[[Image:TechDraw_ExampleSection-15.png|80px|link=]]
[[Image:TechDraw_ExampleSection-17.png|80px|link=]]
[[Image:TechDraw_ExampleSection-34.png|80px|link=]]
[[Image:TechDraw_ExampleSection-35.png|80px|link=]]
<translate>


<!--T:20-->
{{Docnav
{{Docnav
|[[TechDraw_SectionView|SectionView]]
|[[TechDraw_SectionView|SectionView]]

Latest revision as of 09:01, 15 October 2023

Other languages:

TechDraw ComplexSection

Menu location
TechDraw → TechDraw Views → Insert Complex Section
Workbenches
TechDraw
Default shortcut
None
Introduced in version
0.21
See also
TechDraw Section, TechDraw View, TechDraw Projection Group

Description

The TechDraw ComplexSection tool inserts a cross-section view based on an existing part view and a profile.

A Quarter section view created with the Complex Section tool

An Aligned section view created with the Complex Section tool

An Offset section view created with the Complex Section tool

Usage

  1. Select a part view and a profile object in the 3D view or Tree view. Profiles are typically Sketches, but any object whose shape can be made into a wire will work.
  2. There are several ways to invoke the tool:
    • Press the Insert Complex Section button.
    • Select the TechDraw → TechDraw Views → Insert Complex Section option from the menu.
  3. A task panel opens which will help calculate the various properties. Reasonable values for the view Direction are calculated, but these can be changed.

Properties ComplexSection

See also TechDraw SectionView.

Data

Cutting Tool

  • DataCutting Tool Wire Object: The document object whose shape will be used to generate the cutting profile.
  • DataProjection Strategy: Controls how the cut is performed and how the result is projected on the page:
    • Offset: Performs a simple cut of the Source shape and projects the result.
    • Aligned: Cuts the Source shape using a tool created from each segment (edge) of the cutting profile. The results of each cut are projected in a vertical or horizontal array, depending on the orientation of the cutting profile.
    • NoParallel: As Aligned, but profile segments which are parallel to the view direction are skipped.

Notes

See TechDraw SectionView

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

A ComplexSection can be created with macros and from the Python console by using the following functions:

doc = FreeCAD.ActiveDocument
box = doc.Box
profile = doc.Sketch
page = doc.Page

view = doc.addObject("TechDraw::DrawViewPart", "View")
page.addView(view)
view.Source = box
view.Direction = (0, 0, 1)

section = doc.addObject("TechDraw::DrawComplexSection", "ComplexSection")
page.addView(section)
section.BaseView = view
section.CuttingToolWireObject = profile
section.Direction = (0, 1, 0)
section.SectionNormal = (-1, 0, 0)

Examples

For some more information about section views and some use cases, have a look at: TechDraw section examples.